angular.module('NHTMRIApp.controllers')
    .controller('AbstractsCtrl', function(AbstractsService, $scope, $ionicLoading) {
        var _this = this;
      console.log('start get abstracts');
        $scope.$on('$ionicView.enter', function(){
            $ionicLoading.show();

            AbstractsService.getAbstracts().then(function(response){
                _this.abstracts = response.data;
                console.log(_this.abstracts);
                console.log('get abstracts');
            }).catch(function(response){
                console.log('error get abstracts');
                console.log(response);
            }).finally(function(){
                $ionicLoading.hide();
                console.log('load stop');
            });
        });
        console.log('get abstracts done');

        $scope.highlights = [
             {topic:'Guest Lectures'},
             {topic:'Panels'},
             {topic:'Interactive sessions'},
             {topic:'Debates'},
             {topic:'Meet the expert'},
             {topic:'Free papers sessions'},
             {topic:'Symposia'},
           ];
    })

    .controller('AbstractDetailController', function(AbstractsService, $stateParams, $scope, $ionicLoading) {
        var _this = this;
        
        $scope.$on('$ionicView.enter', function(){
            $ionicLoading.show();

            AbstractsService.getAbstract($stateParams.comicId).then(function(response){
                _this.abstract = response.data;
            }).catch(function(response){
                //request was not successful
                //handle the error
            }).finally(function(){
                $ionicLoading.hide();
            });
        });
    })

/*angular.module('ESSApp.controllers')
.controller('AbstractsCtrl', function($scope, $ionicModal, $ionicLoading, AbstractsService){

   var _this = this;
   console.log('fdfd');

   $scope.$on('$ionicView.enter', function(){
      $ionicLoading.show();

      AbstractsService.getAbstracts().then(function(response){
         $ionicLoading.hide(); // First : Hide Loading
         _this.abstracts = response.data;
         if(!response.data)
         {
            if(localStorage.abstractsData) {
              $scope.abstracts = JSON.parse(localStorage.abstractsData);
            }
            else {
              $scope.errorLoading = true;
            }
         }
         else { 
            localStorage.setItem('abstractsData', JSON.stringify(data)); // Set Backup At LocalStorage
            _this.abstracts = data;
         }
      }).catch(function(response) {
         console.log('Error loading abstracts');
      }).finally(function(){
          $ionicLoading.hide();
      });
   });
});*/