angular.module('NHTMRIApp.controllers').controller('MembershipCtrl', function($scope, $rootScope,$ionicPopup, $http) {

	$scope.showAlert = function(title, message) {
	  var alertPopup = $ionicPopup.alert({
	    title: title,
	    template: message
	  });
	  alertPopup.then(function(res) {
	  	if(res==true) {
	  		window.location.href="#/app/register";
	  	}
	  });
	};

	$scope.submitRegForm = function() {
		var event_id = $("#event_id").val();
		var name = $("#name").val();
		var email = $("#email").val();
		var mobile = $("#mobile").val();
		var dept = $("#dept").val();
		var tag = 'NHTMRI MobileApp | 2017';

		if(name=='' || email=='' || mobile=='') {
			$rootScope.alert('Validation Error','Please enter all required information');
			return false;
		}

		url = "http://nhtmri.net/public/api/event-register";
		dataObject = {'event_id':event_id,'tag':tag,'name':name,'email':email,'phone':mobile,'institute':dept}

		Object.toparams = function ObjecttoParams(obj) {
		    var p = [];
		    for (var key in obj) {
		        p.push(key + '=' + encodeURIComponent(obj[key]));
		    }
		    return p.join('&');
		};
		$http({
		    method: 'POST',
		    url: url,
		    data: Object.toparams(dataObject),
		    headers: {'Content-Type': 'application/x-www-form-urlencoded'}
		});
		$scope.showAlert('Status','Thanks, Your Registration has been sent');

	}
})