angular.module('NHTMRIApp.controllers')

.controller('RatingCtrl', function($scope, $stateParams, $rootScope, ReviewsService, $ionicLoading){
   var $topic_id = $stateParams.topic_id;
   $scope.topic_id = $topic_id;
   $scope.rate_list = {1:'Poor',2:'Average',3:'Good',4:'Very Good',5:'Excellent'};
   $scope.rate_style = {1:'assertive',2:'energized',3:'calm',4:'positive',5:'balanced'};

   $scope.submitReview = function() {
      var $topic_id = $scope.reviewData.topic_id;
      var $review = $scope.reviewData.review;
      var $score = $scope.reviewData.score;
      if(undefined == $score || null==$score) {
         $rootScope.alert('Error','Please select the rate','button-assertive');
      } else {
         ReviewsService.submitReview($scope.reviewData).then(function(data){
            if(data.data.result=='success') {
               $rootScope.alert('Success','Thanks review sent','button-balanced');
               $scope.getTopicReviews($topic_id);
            } else {
               $rootScope.alert('Error','Error while sending review, please try again','button-assertive');
            }
         });
      }
   };

   $scope.getTopicReviews = function($topic_id) {
      ReviewsService.getTopic($topic_id).then(function(response){
         $ionicLoading.hide();
         $scope.topic = response.data;
         if(!response.data)
         {
            console.log('error get topic reviews');
            /*if(localStorage.abstractsData) {
              $scope.abstracts = JSON.parse(localStorage.abstractsData);
            }*/
         } else {
            //$rootScope.alert('Error','Error loading reviews','button-assertive');
            /*localStorage.setItem('abstractsData', JSON.stringify(data)); // Set Backup At LocalStorage
            _this.abstracts = data;*/
         }
      }).catch(function(response) {
         console.log('Error loading reviews' + response);
      }).finally(function(){
          $ionicLoading.hide();
      });      
   }

   $scope.getTopicReviews($topic_id);
  
})