angular.module('NHTMRIApp.services', ['ionic.service.core','ionic.service.analytics'])

.factory('SiteService', ['$http', function($http){
	var section = [];
	var $api_path = 'http://nhtmri.net/public/api/';
	var allSections = [];

	return {
		getAllMainSections: function() {
			return $http.get($api_path+'site-sections/allsections').then(function(response){
				allSections = response;
				return allSections;
			}, function(error){
				return false;
			})
		},

		getSingleSection: function(section_type) {
			return allSections.section_type;
		},

		getSectionList: function() {
			return $http.get($api_path+'site-sections').then(function(response){
				section = response;
				return section;
			}, function(error){
				return false;
			})
		},

		getSection: function(id) {
			return $http.get($api_path+'site-sections/'+id).then(function(response){
				section = response;
				return section;
			}, function(error){
				return false;
			})
		},
	}
}])