angular.module('NHTMRIApp.controllers', [])

.controller('AppCtrl', function($scope, $ionicModal, $timeout) {

  // With the new view caching in Ionic, Controllers are only called
  // when they are recreated or on app start, instead of every page change.
  // To listen for when this page is active (for example, to refresh data),
  // listen for the $ionicView.enter event:
  //$scope.$on('$ionicView.enter', function(e) {
  //});
})

.controller('MenuCtrl', function($scope, $rootScope) {
  //$scope.countNowTopics =  $rootScope.whatsNowCount;
})

.controller('SpeakersCtrl', function($scope,$ionicModal) {
  $scope.inter_speakers = [
    {id:1, name: 'Azhar Shaida', photo:'10.png', country:'UK', cv: 'Consultant otologist / Auditory implant surgeon Royal national throat Nose & Ear Hospital' },
    {id:2, name: 'Bernard Fraysse', photo:'25.png', country:'France', cv: 'Professorand Chair, Department of Oto-Rhino-Laryngologie (ORL) au CHU de Toulouse - France. - Chairman of IFOS Paris 2017-ENT World Congress.' },
    {id:3, name: 'Claude Jolly', photo:'27.png', country:'Austria', cv: 'Director of Electrode Research at MED-EL World Wide Headquarter - Innsbruck, Austria' },
    {id:4, name: 'Jeremy Lavy',  photo:'9.png',  country:'UK', cv: 'Director of University college London hospital auditory implant programe' },
    {id:5, name: 'Joachim Mueller',  photo:'14.png',  country:'Germany', cv: 'Head of CI CEntre, LMU, Klinikum der Universitat Munchen' },
    {id:6, name: 'Juan A. Chiossone',  photo:'6.png',  country:'Venezuela', cv: 'Excecutive Vice-President Fundación Venezolana de Otología' },
    {id:7, name: 'Kay W. Chang',  photo:'15.png',  country:'USA', cv: 'Associate Professor of Otolaryngology and Pediatrics, Stanford University' },
    {id:8, name: 'Leo De Raeve',  photo:'5.png',  country:'Belgium', cv: 'Director of the Independent Information and Research Center on Cochlear Implants (ONICI)' },
    {id:9, name: 'Levent Olgun',  photo:'1.png',  country:'Turkey', cv: 'Director of Izmir Teaching and Research Hospital ENT Clinic' },
    {id:10, name: 'Levent Sennaroglu',  photo:'2.png',  country:'Turkey', cv: 'M.D Professor - Hacettepe University Medical Faculty - Department of Otolaryngology' },
    {id:11, name: 'Miguel Arfstegui Ruiz',  photo:'3.png',  country:'Spain', cv: 'Chief Section of Otology Hospital General Universitario Gregorio Marnon' },
    {id:12, name: 'Mark Praetorius',  photo:'4.png',  country:'Germany', cv: 'Head, Division of Otology and Neurotology' },
    {id:13, name: 'Neil Donnelly',  photo:'7.png',  country:'UK', cv: 'Consultant Otoneurological & Skull Base Surgeon Cambridge University Hospitals' },
    {id:14, name: 'Yongqing Zhou',  photo:'28.png',  country:'China', cv: 'Professor of ENT, Department of Otolaryngology-Head and Neck Surgery, Bethune International Peace Hospital, Shijiazhuang City, Hebei Province, China.' },
    {id:15, name: 'Sherif Khalil',  photo:'29.png',  country:'UK', cv: 'Consultant ENT and Skull Base Surgeon Royal National Throat, Nose & Ear Hospital National Hospital of Neurology & Neurosurgery University College London Hospitals NHS Foundation Trust' },
  ];

  $scope.reg_speakers = [
    {id:16, name: 'Abdel Hamid Ben Ghalem', photo:'16.png', country:'Morocco', cv: 'ENT Doctor and Maxillo Facial Surgery' },
    {id:17, name: 'Abdulmonem H. Al Shaikh',    photo:'17.png', country:'KSA', cv: 'ENT Consultant- Otology and cochlear Implant Head of Cochlear Implant Program King Fahd Hospital Jeddah' },
    {id:18, name: 'Abdulrahman Abdullah Hagr',  photo:'18.png',  country:'KSA', cv: 'President of Saudi ORL Society' },
    {id:19, name: 'Ammar El Lawati',  photo:'19.png',  country:'Oman', cv: 'Senior Consultant Otologist' },
    {id:20, name: 'Gamal Kassouma',  photo:'20.png',  country:'Syria', cv: 'ENT Consultant Dubai' },
    {id:21, name: 'Hussain Abdul Rahman Al Rand',  photo:'21.png',  country:'UAE', cv: 'Assistant Under secretary for Health Centers and Clinics' },
    {id:22, name: 'Khaled El Noury',  photo:'23.png',  country:'KSA', cv: 'Vice-Dean of the Faculty of Medicine, Clinical Sciences in north Jeddah' },
    {id:23, name: 'Khaled Taibah',  photo:'24.png',  country:'KSA', cv: 'Consultant Otolaryngology, Head & Neck and Cochlear Implant Surgery, Al Faisal University' },
    {id:24, name: 'Mazin Elkhaboury',  photo:'30.png',  country:'Omen', cv: 'ENT Consultant, El-Nahda Hospital - Oman Omani Ministry of Health Consultant for Medical Services Development.' },
    {id:25, name: 'Mohamed Al Hajri',  photo:'31.png',  country:'Kuwait', cv: 'Director of Salem Al Ali Center for Hearing & Speech, Ministry of health - Kuwait' },
  ];

  // Create the modal that we will use later
  $ionicModal.fromTemplateUrl('templates/speaker_info.html', {scope: $scope
  }).then(function(modal) {
    $scope.modal = modal;
  });
  // Triggered in the modal to close it
  $scope.closeModal = function() {
    $scope.modal.hide();
  };
  $scope.speakerInfo = function(id,locale) {
    $scope.selectedId = id;
    $scope.locale = locale;
    $scope.modal.show();
  }
})

.controller('PartsCtrl', function($scope) {

  $scope.range = function(min, max, step) {
      step = step || 1;
      var input = [];
      for (var i = min; i <= max; i += step) {
          input.push(i);
      }
      return input;
  };

})
.controller('SponsorsCtrl', function($scope) {
  $scope.sponsors = [
    { name: '', photo:'11.jpg'},
    { name: '', photo:'4.jpg'},
    { name: '', photo:'8.jpg'},
    { name: '', photo:'12.jpg'},
    { name: '', photo:'28.jpg'},
    { name: '', photo:'29.jpg'},
    { name: '', photo:'3.jpg'},
    { name: '', photo:'5.jpg'},
    { name: '', photo:'19.jpg'},
    { name: '', photo:'30.jpg'},
    { name: '', photo:'7.jpg'},
    { name: '', photo:'31.jpg'},
    { name: '', photo:'32.jpg'},
    { name: '', photo:'14.jpg'},
    { name: '', photo:'20.jpg'},
    { name: '', photo:'34.jpg'},
    { name: '', photo:'33.jpg'},
    { name: '', photo:'10.jpg'},
    { name: '', photo:'35.jpg'},
    { name: '', photo:'37.jpg'},
    { name: '', photo:'17.jpg'},
    { name: '', photo:'38.jpg'},
    { name: '', photo:'36.jpg'},
    { name: '', photo:'39.jpg'},
    { name: '', photo:'18.jpg'},
    { name: '', photo:'40.jpg'},
    { name: '', photo:'41.jpg'}, 
  ];
  $scope.sponsors_plat = [
    { name: 'Hob Soft', photo:'5.jpg'},
    { name: 'Blue Coat', photo:'2.jpg'},
    { name: 'Dell', photo:'3.jpg'},
    { name: 'IXIA', photo:'7.jpg'},
    { name: 'Akamai', photo:'1.jpg'},
    { name: 'IBM', photo:'6.png'},
  ];
  $scope.sponsors_gold = [      
      { name: 'Fire Eye', photo:'4.jpg'},
      { name: 'Sophos', photo:'8.jpg'},
      { name: 'Trend Micro', photo:'9.jpg'},
      { name: 'Trip Wire', photo:'10.jpg'},
      { name: 'Hob Soft', photo:'5.jpg'},
      { name: 'Blue Coat', photo:'2.jpg'},
  ];
  $scope.sponsors_silver = [      
      { name: 'Dell', photo:'3.jpg'},
      { name: 'IXIA', photo:'7.jpg'},
      { name: 'Akamai', photo:'1.jpg'},
      { name: 'IBM', photo:'6.png'},
      { name: 'Fire Eye', photo:'4.jpg'},
      { name: 'Sophos', photo:'8.jpg'},
  ];
})

.controller('ProgramCtrl', function($scope, $ionicModal){
  // About Egypt Slider
  $scope.sliderItems = [
    'img/egypt/1.jpg',
    'img/egypt/2.jpg',
    'img/egypt/3.jpg',
    'img/egypt/4.jpg',
    'img/egypt/5.jpg',
    'img/egypt/6.jpg',
    'img/egypt/7.jpg',
    'img/egypt/8.jpg'
  ];
  // Places Modals
  // First Places Array Object
  $scope.places = [{
    name: 'Khan El-Khalili',
    image: 'img/egypt/9.jpg',
    desc: "No visit to Cairo is Complete without a stop at the Khan El-Khalili bazaar, where you will be transported back in time to an old Arab souk. Shop owners calling you to their stalls, the scent of spices, the hustle and bustle of trade, and the many beautiful objects that can purchased will have you lost among alleys for hours. Put your haggling skills to the test when buying statuettes, spices, souvenirs, silver jewellery, t-shirts, galabiyyas, belly dancing costumes, or anything for that matter. When your shopping's done, dont miss out on a traditional cup of tea at the famous Fishawi's cafe."
  }, {
    name: 'Beyt El-Suhaimi',
    image: 'img/egypt/10.jpg',
    desc: "Gazing at the typically plain and maybe – to some – even dull façade of Beyt el-Suhaimi, you cannot imagine the architectural treasures you will witness inside. This mansion is Islamic Cairo's finest example of the traditional family residences built throughout the city from Mamluk times to the 19th century. Once you enter the house, you will emerge into a beautiful inner courtyard transporting you to the days where guests were received in the adjacent impressive reception room, the 'qa'a.' Set around a magnificent marble fountain inset in the floor, the room has also a high painted wooden ceiling you’ll discover after following the most delicate green and blue patterned enamel tiles on the walls. Going upstairs, you will discover the family apartments and the wooden lattice windows, known as “mashrabiya”, allowing women of the house to observe the street life below without being seen. And again, have a look at the very high ceilings which allowed the warmer air to rise and then to be swept away by the north facing maqad (wind scoops) in the upper walls which caught the breeze. A precursor of today's air-conditioning systems, you might think. And so it was; this architectural feature really helped in making life easier in Cairo's dry and hot weather. Ticket Price(s): Regular: 30 EGP Student: 15 EGP"
  }, {
    name: 'Cairo Opera House',
    image: 'img/egypt/11.jpg',
    desc: "You would never guess from its non-stop schedule of activities that the Cairo Opera house burned to the ground in 1971. From Verdi’s “Aida” to medleys on Um Kulthoum’s music to Orff’s “Carmina Burana” to pop concerts by local bands, the Cairo Opera has risen like a true phoenix from the ashes. Located on the upscale island of Zamalek, the Opera House is a gem of postmodern architecture. Originally designed in 1869 during the Khedive Ismail's reign by Italian architects Avoscani and Rossi to celebrate the opening of the Suez Canal, its redesign by a Japenese architect was unveiled in 1988. The Opera House is home to two main concert halls and an open air theatre, as well as a museum dedicated to sharing its history. Visitors to the museum can see such attractions as costumes given to the New Cairo Opera House by the Vienna State Opera, and a model of the New Opera House buildings and photos while it was under construction, as well as a 2 metres long Arab flute, the Nay. Visit the Cairo Opera House website for an updated calendar of events, or call the following numbers: - Information: +20 2 2739 8144, +20 2 2739 0144 - Ticketing Office: +20 2 2739 0114, + 20 2 2739 8114"
  }, {
    name: 'Al-Ghouri Complex ',
    image: 'img/egypt/12.jpg',
    desc: "Sultan Qansuh Al-Ghouri was a Mamluk sultan, who had reigned from 1501 to 1516, before dying in a battle against the Ottomans in Aleppo, which resulted in a complete defeat for the Mamluks, due to which they lost their prominence in Egypt. Al-Ghouri spent a fortune on building his complex in Cairo which dates back to 1503. Although he was renowned for his cruelty and despotism, he was also known for his love of flowers, music, poetry and architecture. His cultural refinement emanates from the different features of the complex. The construction stands on both sides of Al-Mo'ez Street; the mosque and madrasa stand on the western side, whereas you will find the khanqah, mausoleum and Sabil-Kuttab on the eastern side of the famous street. The mausoleum is however not the final resting place of the Sultan, whose body was never recovered after the Aleppo battle. The two parts of the complex aren’t adjusted to the street alignment, thus creating a free shaped courtyard in between the two buildings. The mosque’s minaret has four stories, just like the original minaret of the Aqsunqur mosque (the Blue Mosque). These are the only two minarets in Cairo known to have four stories, instead of the usual three. Since 1995, the complex hosts various cultural events in the Khanqah hall, mostly Nubian music concerts, Tannoura dance performances, and religious recitals. Ticket Price(s): Regular: 25 EGP Student: 15 EGP"
  }];
  // Modal Object
  $scope.modalPlace = {
    name: '',image: '',desc:''
  };
  $ionicModal.fromTemplateUrl('templates/place-item.html', {
    scope: $scope,
    animation: 'slide-in-up'
  }).then(function(modal) {
    $scope.modal = modal;
  });
  $scope.openPlaceModal = function(placeID) {
    $scope.modalPlace.name = $scope.places[placeID]['name'];
    $scope.modalPlace.image = $scope.places[placeID]['image'];
    $scope.modalPlace.desc = $scope.places[placeID]['desc'];
    $scope.modal.show();
  };
  $scope.closePlaceModal = function() {
    $scope.modal.hide();
  };

  $scope.highlights = [
    {topic:'HCV ,HBV treatment updates'},
    {topic:'Difficult to manage bowel diseases'},
    {topic:'Liver transplantation and its perspectives'},
    {topic:'Liver cirrhosis of different etiologies'},
    {topic:'GERD, PUD , IBD , IBS'},
    {topic:'New advances in Laboratory field'},
    {topic:'Critical cases and its management'},
    {topic:'Complications of liver cirrhosis'},
    {topic:'Gastrointestinal malignancies'},
    {topic:'Pediatric hepatogastroenterology obstacles'},
  ];

  $scope.committee = [
    {name: 'Mohamed Shabana',photo:'committee/m_shabana.jpg'},
    {name: 'Ahmed Atef',photo:'committee/ahmed_atef.jpg'},
    {name: 'Hossam Dessouky',photo:'avatar.png'},
  ];
})

.controller('SessionCtrl', function($scope,$ionicPopup,$stateParams, $rootScope){
    // Check Loading
    if($rootScope.errorLoading){
      $scope.showError = true;
    }else{
      $scope.showError = false;
    }
})

.controller('SessionInfoCtrl', function($scope,$timeout,$stateParams, $rootScope, ProgramService){
    var session_id = $stateParams.sessionId;
    var sessionsList = $rootScope.sessions;
    var nextSessionId = 0;

    for(i=0;i<sessionsList.length;i++){
      if(sessionsList[i].id == session_id){
        $scope.session = sessionsList[i];
        $scope.chairpersons = ProgramService.getSessionMembers('Chairperson', $scope.session);
        $scope.moderators = ProgramService.getSessionMembers('Moderator', $scope.session);
        $scope.panelists = ProgramService.getSessionMembers('Panelist', $scope.session);
        $scope.operators = ProgramService.getSessionMembers('Operator', $scope.session);
        $scope.cases = ProgramService.getSessionMembers('Case', $scope.session);
        $scope.presenters = ProgramService.getSessionMembers('Case Presenter', $scope.session);
        $scope.topicsIn = ProgramService.getSessionMembers('Speaker', $scope.session, 'Participant');

        next_index = i+1;
        if(typeof sessionsList[next_index] === 'undefined') { // Session does not exist
        } else { nextSessionId = sessionsList[next_index].id; }
      }
    }
    $scope.nextSessionId = nextSessionId;
})

.controller('TopicsCtrl', function($scope,$rootScope){
   // Check Loading
    if($rootScope.errorLoading){
      $scope.showError = true;
    }else{
      $scope.showError = false;
    }
    $scope.topicsPerDay = $rootScope.topicsPerDay;
})

.controller('SpeakersListCtrl', function($scope,$rootScope){
    // Check Loading
    if($rootScope.errorLoading){
      $scope.showError = true;
    }else{
      $scope.showError = false;
    }

    var speakers = $rootScope.speakers;
    var lookup = {};
    var speakersList = [];

    for (var speaker, i = 0; speaker = speakers[i++];) {
      var speakerName = speaker.name.trim();
      if (!(speakerName in lookup) && speakerName!='') {
        lookup[speakerName] = 1;
        speakersList.push(speaker);
      }
    }
    $scope.speakers = $rootScope.sortByKey(speakersList,'name');    
})

.controller('OnNowCtrl', function($scope,$ionicModal,$ionicPopup,$stateParams, $rootScope, ProgramService, QuestionService){
  $scope.reloadTopics = function() {
    $rootScope.getWhatsNow();
    setTimeout(function(){
      $scope.setWhatsNow();
      $rootScope.alert('Refresh Status','Live topics has been reloaded successfully');
    },1000);
  }

  $scope.setWhatsNow = function() {
    $scope.topicsNow = $rootScope.whatsNow;
  }

  // Form data for the Ask modal
  $scope.questionData = {topic_id:'', author:'',subject:''};

  // Create the modal that we will use later
  $ionicModal.fromTemplateUrl('templates/program/ask.html', {scope: $scope
  }).then(function(modal) {
    $scope.modal = modal;
  });

  $scope.closeModal = function() {
    $scope.modal.hide();
  };
  $scope.setMyQuestions = function($questionObject) {
    var $my_questions = [];

    if(typeof localStorage.myQuestions != 'undefined' || undefined != localStorage.myQuestions)
    {
      $my_questions = JSON.parse(localStorage.getItem('myQuestions'));
      localStorage.removeItem('myQuestions');
      $my_questions.push($questionObject);
      localStorage.setItem('myQuestions', JSON.stringify($my_questions));
    }
    else
    {
      $my_questions.push($questionObject);
      localStorage.setItem('myQuestions', JSON.stringify($my_questions));
    }
    console.log(localStorage.myQuestions);
  };

  $scope.myQuestions = JSON.parse(localStorage.getItem('myQuestions'));

  $scope.askQuestion = function(topicId) {
    $scope.topic_id = topicId;
    $scope.topic = ProgramService.getTopic(topicId);
    $scope.modal.show();
  };

  // Perform the ask action when the user submits the form
  $scope.doSubmitQuestion = function() {

    var $topic_id = $scope.topic_id;    
    var $author = $scope.questionData.author;
    var $subject = $scope.questionData.subject;
    $scope.questionData.topic_id = $topic_id;
  
    if($author == '' || $subject=='') {
      $rootScope.alert('Error','Please fill in all required fields.','button-assertive');  
    } else {
      QuestionService.submitQuestion($scope.questionData).then(function(data){
        if(data.data.result=='success') {
          $rootScope.alert('Success','The question has been sent, please wait for the reply at the end of the presentation','button-balanced');
          $scope.setMyQuestions($scope.questionData);
        } else {
          $rootScope.alert('Error','Error submit question, please try again or check your internet connection','button-assertive');
        }
        $scope.closeModal();
      });
    }
  };
})

.controller('QuestionCtrl', function($scope, $stateParams){
    var subject = $stateParams.subject;
    var myquestions = JSON.parse(localStorage.getItem('myQuestions'));

    for(i=0;i<myquestions.length;i++){
      if(myquestions[i].subject == subject){
        $scope.question = myquestions[i];
        break;
      }
    } 
})

.controller('SpeakerCtrl', function($scope,$timeout,$stateParams, ProgramService){
    $scope.speaker_name = $stateParams.name;
    $scope.speaker_topics = ProgramService.getSpeaker($scope.speaker_name);
})

.controller('GalleryCtrl', function($scope, $ionicBackdrop, $ionicModal, $ionicSlideBoxDelegate, $ionicScrollDelegate) {
 
  $scope.allImages = [
    {src: 'img/floorplan.png'}, 
  ];
  
 	$scope.exbImages = [
      { src:'img/plan.jpg', thumb:'img/plan.jpg', sub: 'Exhibition Zone'},
      { src:'img/plan2.jpg', thumb:'img/plan2.jpg', sub: 'Exhibition Zone2'},
    ]; 
  
  $scope.zoomMin = 1;
  $scope.showImages = function(index) {
    $scope.activeSlide = index;
    $scope.showModal('templates/gallery_modal.html');
  };   
  $scope.showModal = function(templateUrl) {
    $ionicModal.fromTemplateUrl(templateUrl, {
      scope: $scope
    }).then(function(modal) {
      $scope.modal = modal;
      $scope.modal.show();
    });
  }
  $scope.closeModal = function() {
    $scope.modal.hide();
    $scope.modal.remove()
  };   
  $scope.updateSlideStatus = function(slide) {
    var zoomFactor = $ionicScrollDelegate.$getByHandle('scrollHandle' + slide).getScrollPosition().zoom;
    if (zoomFactor == $scope.zoomMin) {
      $ionicSlideBoxDelegate.enableSlide(true);
    } else {
      $ionicSlideBoxDelegate.enableSlide(false);
    }
  };
})

.controller('AbstractsCtrl', function(AbstractsService, $scope, $ionicLoading) {

})
.controller('AbstractDetailsCtrl', function(AbstractsService, $scope, $stateParams, $ionicLoading) {
    $scope.abstract_id = $stateParams.abstract_id;
    $scope.abstract = AbstractsService.getAbstract($scope.abstract_id);
})